import * as lambda from '@aws-cdk/aws-lambda';
import { Construct } from '@aws-cdk/core';
/**
 * Props for OnEventHandlerFunction
 */
export interface OnEventHandlerFunctionProps extends lambda.FunctionOptions {
}
/**
 * An AWS Lambda function which executes src/account-provider/on-event-handler.
 */
export declare class OnEventHandlerFunction extends lambda.Function {
    constructor(scope: Construct, id: string, props?: OnEventHandlerFunctionProps);
}
